Subject: Re: I-D Action: draft-mishra-6man-variable-slaac-01.txt

From: "Manfredi (US), Albert E" <[email-masked]>
Date: Wed, 4 Nov 2020 18:19:00 +0000

From: ipv6 <[email-masked]> On Behalf Of Philip Homburg

> If mobile providers don't comply with RIPE-690 (and many other documents that
tell ISPs that just providing a /64 is not enough), then why do you expect
that any new documents have any effect?

Because to a provider, shorter than /64 prefixes costs them money, or opportunities, real or imagined, whereas allowing longer than /64 prefixes looks like an interesting freebie? Gyan seems to be saying that for cell phones themselves, forget shorter prefixes, it won't happen. Now we're limited to a flat network, behind that cell phone. Good enough? How about smaller vehicles, like cars?

This is the same old debate, as far as I can tell. I'm not sure how 5G cellular changes anything. For fixed service, 5G makes a credible alternative for FTTH, yes. 4G did not. Fixed 5G may use the same backhaul as FiOS uses now. But providers such as Verizon seem to have agreed to provide each site with a /56, or maybe /48, for fixed 5G. So, no change from today. No problem with the 64-bit IID boundary.

For 5G cell phones, he said, /64 prefixes are all you get.

Where is the change from today's policies? Am I missing something?

SLAAC has truly no problem to accommodate any prefix length. The issue always comes back to this "race to the bottom" fear, having to use NAT with IPv6, and so on. I'm of the opinion that sticking strictly with 64-bit IIDs, sooner or later, we'll have to reinvent CIDR. Assumptions on how services are deployed have a way of changing drastically, over time. But still, nothing new in any of this?

Bert